An intrinsic object that provides basic mathematics functionality and constants.

### Hierarchy

- Math

## Index

### Properties

- E
- LN10
- LN2
- LOG10E
- LOG2E
- PI
- SQRT1_2
- SQRT2

### Methods

- abs
- acos
- asin
- atan
- atan2
- ceil
- cos
- exp
- floor
- log
- max
- min
- pow
- random
- round
- sin
- sqrt
- tan

## Properties

### E

E: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:609

The mathematical constant e. This is Euler's number, the base of natural logarithms.

### LN10

LN10: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:611

The natural logarithm of 10.

### LN2

LN2: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:613

The natural logarithm of 2.

### LOG10E

LOG10E: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:617

The base-10 logarithm of e.

### LOG2E

LOG2E: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:615

The base-2 logarithm of e.

### PI

PI: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:619

Pi. This is the ratio of the circumference of a circle to its diameter.

### SQRT1_2

SQRT1_2: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:621

The square root of 0.5, or, equivalently, one divided by the square root of 2.

### SQRT2

SQRT2: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:623

The square root of 2.

## Methods

### abs

- abs(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:629

  Returns the absolute value of a number (the value without regard to whether it is positive or negative). For example, the absolute value of -5 is the same as the absolute value of 5.

  #### Parameters

  - ##### x: number

    A numeric expression for which the absolute value is needed.

  #### Returns number

### acos

- acos(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:634

  Returns the arc cosine (or inverse cosine) of a number.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### asin

- asin(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:639

  Returns the arcsine of a number.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### atan

- atan(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:644

  Returns the arctangent of a number.

  #### Parameters

  - ##### x: number

    A numeric expression for which the arctangent is needed.

  #### Returns number

### atan2

- atan2(y: number, x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:650

  Returns the angle (in radians) from the X axis to a point.

  #### Parameters

  - ##### y: number

    A numeric expression representing the cartesian y-coordinate.

  - ##### x: number

    A numeric expression representing the cartesian x-coordinate.

  #### Returns number

### ceil

- ceil(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:655

  Returns the smallest integer greater than or equal to its numeric argument.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### cos

- cos(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:660

  Returns the cosine of a number.

  #### Parameters

  - ##### x: number

    A numeric expression that contains an angle measured in radians.

  #### Returns number

### exp

- exp(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:665

  Returns e (the base of natural logarithms) raised to a power.

  #### Parameters

  - ##### x: number

    A numeric expression representing the power of e.

  #### Returns number

### floor

- floor(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:670

  Returns the greatest integer less than or equal to its numeric argument.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### log

- log(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:675

  Returns the natural logarithm (base e) of a number.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### max

- max(...values: number[]): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:680

  Returns the larger of a set of supplied numeric expressions.

  #### Parameters

  - ##### Rest ...values: number[]

    Numeric expressions to be evaluated.

  #### Returns number

### min

- min(...values: number[]): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:685

  Returns the smaller of a set of supplied numeric expressions.

  #### Parameters

  - ##### Rest ...values: number[]

    Numeric expressions to be evaluated.

  #### Returns number

### pow

- pow(x: number, y: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:691

  Returns the value of a base expression taken to a specified power.

  #### Parameters

  - ##### x: number

    The base value of the expression.

  - ##### y: number

    The exponent value of the expression.

  #### Returns number

### random

- random(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:693

  Returns a pseudorandom number between 0 and 1.

  #### Returns number

### round

- round(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:698

  Returns a supplied numeric expression rounded to the nearest number.

  #### Parameters

  - ##### x: number

    The value to be rounded to the nearest number.

  #### Returns number

### sin

- sin(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:703

  Returns the sine of a number.

  #### Parameters

  - ##### x: number

    A numeric expression that contains an angle measured in radians.

  #### Returns number

### sqrt

- sqrt(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:708

  Returns the square root of a number.

  #### Parameters

  - ##### x: number

    A numeric expression.

  #### Returns number

### tan

- tan(x: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:713

  Returns the tangent of a number.

  #### Parameters

  - ##### x: number

    A numeric expression that contains an angle measured in radians.

  #### Returns number

Generated using TypeDoc